#!/bin/sh
. $HOME/.profile
# ----------------------------------------------------------------
# Name of this Script: driver.sh
# Purpose: This script copies the image files (*.gif and *.png) files
# from the $EUMET_IN directory, arranges them into a set of tar files
# and push them to a designated external directory via ftp. The domains
# are limited to the Africa continent and the four sub regions, namely, 
# East Africa, West Africa, North Africa and the Southern Africa. Most of
# the products are taken from the 18Z cycle of the model runs.
#
# Environment Variables to be passed as arguments to the driver script:
# EUMET_IN:  /cpc/rzdm/www/cpc/htdocs/products/international/cpci/data/18
# EUMET_HOME: $HOME/EUMET_$RH 
#
# Command Line Example (Arguments: None):
# ./driver.sh 
#
# Development:
# Contact Name: Vadlamani Kumar
# Contact Phone: 301-683-3462
# Contact Email: vadlamani.kumar@noaa.gov
#
# Operations:
# Contact Mithuvel Challiah / Vadlamani Kumar
# Contact Phone:
# Contact email:
# ----------------------------------------------------------------
#
#
start_time=`date`
# Begin Process
#
echo "*** Process has begun at $start_time***"
echo "*** Performing File Count Verification ***"
FCV=34620
FC=`ls $EUMET_IN | wc`
#
if [ -f $INPUT_DIR && $FC == 34620]
  echo "input directory" $EUMET_IN "input directory exists and contains input files "
  echo ".. continue to process "
  ./process_all.sh
  end_time=`date`
  echo "Successful Completion of EUMET process at ${end_time}"  |  mail -s "Successful Completion of EUMET process" vadlamani.kumar@noaa.gov
else
  echo "Missing data in the directory"  $EUMET_IN "job aborted .. exiting" |  mail -s "Process Failure due to missing data in $EUMET_IN" vadlamani.kumar@noaa.gov
  exit
fi
#
#
exit
